/*
 * action.h
 *
 * Function declarations for action.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef ACTION_H
#define ACTION_H

#ifdef __cplusplus
extern "C" {
#endif

int
cutlass_action(cutlass_t *cut_handle, conn_t *conn, 
	       struct cut_action_obj *action_obj);

void
cutlass_action_populate(cutlass_t *cut_handle, conn_t *conn, 
                        struct cut_action_obj *action_obj);

void
cutlass_sysmsg(cutlass_t *cut_handle, int priority, const char *fmtstr, ...);

void
cutlass_action_cleanse(struct cut_action_obj *action_object);

char *
cutlass_action_rnick(struct cut_action_obj *action_object);

char *
cutlass_action_gnick(struct cut_action_obj *action_object);

cutlass_public_key
cutlass_action_rkey(struct cut_action_obj *action_object);

cutlass_public_key
cutlass_action_gkey(struct cut_action_obj *action_object);

char *
cutlass_action_fname(struct cut_action_obj *action_object);

uint8_t *
cutlass_action_fcsum(struct cut_action_obj *action_object);

uint32_t
cutlass_action_fsize(struct cut_action_obj *action_object);

char *
cutlass_action_msg(struct cut_action_obj *action_object);

struct in_addr *
cutlass_action_addr(struct cut_action_obj *action_object);

uint8_t *
cutlass_action_fingerprint (struct cut_action_obj  *action_object);

int 
cutlass_action_type(struct cut_action_obj *action_object);

int
cutlass_action_channel_id(struct cut_action_obj *action_object);

#ifdef __cplusplus
}
#endif

#endif /* ACTION_H */
