/*
 * audriver-oss.h
 *
 * OSS sound system function declarations
 *
 * Copyright (c) 2005 Todd MacDermid <tmacd@synacklabs.net>
 */

#ifndef AUDRIVER_OSS_H
#define AUDRIVER_OSS_H

#include <cutlass.h>

typedef struct cutlass_audio_oss
{
  int fd;
  int format;
  int rate;
} cutlass_oss_t;

void *oss_audio_open(cutlass_t *cut_handle, int rate);

int oss_audio_capture(cutlass_t *cut_handle, cutlass_oss_t *oss_handle, 
                      float *samples, int max_samples);

int oss_audio_play(cutlass_t *cut_handle, cutlass_oss_t *oss_handle, 
                   float *samples, int num_samples);

int oss_audio_close(cutlass_oss_t *oss_handle);

#endif /* AUDRIVER_OSS_H */
