/*
 * auencoder-speex.h
 *
 * Speex encoder sound system interface declarations
 *
 * Copyright (c) 2005 Todd MacDermid <tmacd@synacklabs.net>
 */

#ifndef AUENCODER_SPEEX_H
#define AUENCODER_SPEEX_H

#ifdef HAVE_SPEEX_SPEEX_H
  #include <speex/speex.h>
#else
  #include <speex.h>
#endif

#include <cutlass.h>

#define CUTLASS_DEFAULT_QUALITY 3

/* Definitions for the speex_type integer in cutlass_speex_t handles */

#define CUTLASS_SPEEX_ENCODER 1
#define CUTLASS_SPEEX_DECODER 2

typedef struct cutlass_speex_handle
{
  int speex_type;
  SpeexBits bits;
  void *state;
} cutlass_speex_t;

cutlass_speex_t *
cutlass_speex_handle_init(cutlass_t *cut_handle, int speex_type);

int
cutlass_speex_handle_destroy(cutlass_t *cut_handle, 
                             cutlass_speex_t *speex_handle);

int
cutlass_speex_handle_framesize(cutlass_t *cut_handle, 
                               cutlass_speex_t *speex_handle);

int
cutlass_speex_encode(cutlass_t *cut_handle, cutlass_speex_t *speex_handle,
                     float *samples, uint8_t *frame, int max_frame_bytes);


int
cutlass_speex_decode(cutlass_t *cut_handle, cutlass_speex_t *speex_handle,
                     float *samples, uint8_t *frame, int num_frame_bytes);

#endif /* AUENCODER_SPEEX_H */
