/*
 * connections.h
 *
 * Connection creation and deletion function declarations
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef CONNECTIONS_H
#define CONNECTIONS_H

#ifdef __cplusplus
extern "C" {
#endif

conn_t *cutlass_conn_init();

int cutlass_conn_del(cutlass_t *, conn_t *);

conn_t *cutlass_conn_add_in(cutlass_t *, struct sockaddr_in *);

int cutlass_connect(cutlass_t *, struct sockaddr_in *);

int cutlass_conn_shutdown(cutlass_t *cut_handle, uint8_t *);

int cutlass_close_send(cutlass_t *, conn_t *, struct timespec *);

int cutlass_close_ack(cutlass_t *, conn_t *);

int cutlass_conn_fd (cutlass_t *cut_handle, uint8_t *fingerprint);

struct sockaddr_in *cutlass_conn_addr(cutlass_t *, uint8_t *);

char *cutlass_conn_name(cutlass_t *cut_handle, uint8_t *fingerprint);


#ifdef __cplusplus
}
#endif

#endif /* CONNECTIONS_H */
