/*
 * directory.h
 *
 * Function declarations and structure definitions for directory.c
 *
 * Copyright (c) 2005 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef DIRECTORY_H
#define DIRECTORY_H

struct cutlass_dir_info {
  uint8_t addr_type;
  uint8_t remote_addr[CUT_ADDR_MAX];
  uint16_t port;
  uint8_t conn_name[CUTLASS_NAME_LEN];
  uint8_t fingerprint[CUT_ID_LEN];
  cutlass_capability_t capabilities;
};

int
cutlass_directory_request_process(cutlass_t *cut_handle, conn_t *conn, 
                                  request_t *dir_request);

int
cutlass_dir_info_process(cutlass_t *cut_handle, conn_t *conn,
                         uint8_t *buffer, int buf_size);

int
cutlass_directory_advertise(cutlass_t *cut_handle, uint8_t *dir_fprint);

int
cutlass_directory_unadvertise(cutlass_t *cut_handle, uint8_t *dir_fprint);

int
cutlass_directory_lookup_print(cutlass_t *cut_handle, uint8_t *dir_fprint,
                               uint8_t *lookup_fprint);

int
cutlass_directory_lookup_regex(cutlass_t *cut_handle, uint8_t *dir_fprint,
                               char *lookup_regex);

int
cutlass_directory_subscribe(cutlass_t *cut_handle, uint8_t *dir_fprint,
                            uint8_t *lookup_fprint);

int
cutlass_directory_dump(cutlass_t *cut_handle);

#endif /* DIRECTORY_H */
