/**
 * Cutlass error defines and macros
 *
 * Copyright (c) 2004   - nash e.f. <nash@solace.net>
 */

/*
 * Instructions:
 *
 * #define your error symbol at the BOTTOM of this list
 * with the NEXT available integer, then add your message
 * at the end of the static string array.
 * Note: this is the global declaration, but cutlass_errmsgs
 * is actually defined in utils.c so go there to add your
 * actual messages
 */
#define CUTLASS_OK                                      0
#define CUTLASS_OKAY                                    0
#define CUTLASS_ALSA_OKAY                               CUTLASS_OKAY
#define CUTLASS_ALSA_OK                                 CUTLASS_ALSA_OKAY
#define CUTLASS_INFO_GOO                                1
#define CUTLASS_ERROR                                   2
#define CUTLASS_ERROR_NOPTR                             3
//// Cutlass AUDIO Error Types
#define CUTLASS_AUDIO_ERROR                             4
#define CUTLASS_AUDIO_ERROR_1                           5
#define CUTLASS_AUDIO_ERROR_2                           6
#define CUTLASS_ALSA_ERROR                              7
#define CUTLASS_ALSA_ERROR_STARTFAIL                    8
#define CUTLASS_ALSA_ERROR_OPENFAIL                     9
#define CUTLASS_ALSA_ERROR_HANDLE_CONFIG                10
#define CUTLASS_ALSA_ERROR_DAINIT                       11
#define CUTLASS_ALSA_ERROR_HWPARAMS                     12
#define CUTLASS_ERROR_AUDIO_NODRIVER                    13
#define CUTLASS_ALSA_XRUN                               14
#define CUTLASS_ALSA_ERROR_WRONG_DRIVER                 15
#define CUTLASS_ALSA_ERROR_CANT_CLOSE                   16
#define CUTLASS_ERROR_MALLOC                            17
#define CUTLASS_AUDIO_ERROR_ISOPEN                      18
#define CUTLASS_AUDIO_ERROR_NORESET                     19
#define CUTLASS_AUDIO_ERROR_DROPPING                    20
#define CUTLASS_AUDIO_ERROR_PREPARING                   21
#define CUTLASS_AUDIO_ERROR_STARTING                    22
#define CUTLASS_AUDIO_ERROR_CAPTURE                     23
#define CUTLASS_AUDIO_ERROR_SYNC                        24
#define CUTLASS_AUDIO_ERROR_COMMIT                      25
#define CUTLASS_ALSA_ERROR_HWPARAMS_MALLOC              26
#define CUTLASS_ALSA_ERROR_HWPARAMS_INIT                27
#define CUTLASS_ALSA_ERROR_HWPARAMS_ACCESS              28
#define CUTLASS_ALSA_ERROR_HWPARAMS_RATE                29
#define CUTLASS_ALSA_ERROR_HWPARAMS_CHANNELS            30
#define CUTLASS_AUDIO_RINGFULL                          31

extern const char *cutlass_errmsgs[];

#define cut_strerror(a) (cutlass_errmsgs[a])
