/*
 * message.h
 *
 * Function declarations for message.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef MESSAGE_H
#define MESSAGE_H

struct msg_transit_info *
msg_info_init(cutlass_t *cut_handle, conn_t *conn, int direction);

void
msg_info_destroy(cutlass_t *cut_handle, struct msg_transit_info *msg_info);

int cutlass_msg_send(cutlass_t *cut_handle, uint8_t *fingerprint,
		      uint8_t *message);
int cutlass_msg_broadcast(cutlass_t *, char *);
int cutlass_msg_groupcast(cutlass_t *, struct cutlass_group *, uint8_t *);

int cutlass_msg_display(cutlass_t *, conn_t *, uint8_t *);

int cutlass_message_parse(cutlass_t *cut_handle, conn_t *conn, 
			  uint8_t *msg_packet,
                          struct cutlass_packet_hdr* packet_hdr,
                          struct timespec *now);



#endif /* MESSAGE_H */
