/*
 * request_types.h
 *
 * Structure definitions for request/response code
 *
 * Copyright (c) 2005 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef REQUEST_TYPES_H
#define REQUEST_TYPES_H

#define CUTLASS_REQ_LEN_MAX       1024  /* Max len of transport requests */
#define CUTLASS_REQ_LEN_MIN         11  /* Min length of transport requests */
#define CUTLASS_REQ_DATA_MAX      CUTLASS_REQ_LEN_MAX - CUTLASS_REQ_LEN_MIN

#define REQ_DIR_ADVERTISE    1
#define REQ_DIR_UNADVERTISE  2
#define REQ_DIR_LOOKUP_PRINT 3 
#define REQ_DIR_LOOKUP_REGEX 4 
#define REQ_DIR_SUBSCRIBE    5
#define REQ_FILE_NAME        17
#define REQ_FILE_CSUM        18

typedef struct cutlass_transport_request {
  uint8_t request_type;
  uint16_t request_len;
  uint32_t request_id;
  uint32_t max_responses;
  char request_data[CUTLASS_REQ_DATA_MAX];
} request_t;

#endif /* REQUEST_TYPES_H */
